org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsClassificationOutput

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextClassification>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsClassification
    - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsClassificationOutput

All Implemented Interfaces:
  IView

    public class ViewStatisticsClassificationOutput
    extends ViewStatisticsClassification

This view displays a statistics about the performance of logistic regression classifiers

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`MINIMAL_WORKING_TIME`

### Constructor Summary

Constructors
Constructor and Description
`ViewStatisticsClassificationOutput(org.eclipse.swt.widgets.Composite parent, Controller controller)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsClassification

`getType, update`

### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`dispose, reset, triggerStop, triggerUpdate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewStatisticsClassificationOutput

    public ViewStatisticsClassificationOutput(org.eclipse.swt.widgets.Composite parent,
                                              Controller controller)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -